Recommend Participants
curl --request POST \
--url https://api.ontora.com/v1/people/recommendations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 5,
"campaign": {
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"interview_context_for_employee": "<string>",
"success_criteria": "<string>",
"topics": [
"<string>"
],
"questions": [
"<string>"
]
},
"existing_person_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"existing_emails": [
"<string>"
]
}
'import requests
url = "https://api.ontora.com/v1/people/recommendations"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 5,
"campaign": {
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"interview_context_for_employee": "<string>",
"success_criteria": "<string>",
"topics": ["<string>"],
"questions": ["<string>"]
},
"existing_person_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"existing_emails": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
interview_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
limit: 5,
campaign: {
name: '<string>',
description: '<string>',
goal: '<string>',
interview_context_for_employee: '<string>',
success_criteria: '<string>',
topics: ['<string>'],
questions: ['<string>']
},
existing_person_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
existing_emails: ['<string>']
})
};
fetch('https://api.ontora.com/v1/people/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recommendations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"person_type": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"score": 123,
"user_id": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"seniority_label": "<string>",
"audience_filter_attributes": {},
"image_url": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_names": [
"<string>"
],
"campaign_count": 0,
"completed_count": 0,
"last_participated_at": "2023-11-07T05:31:56Z",
"channels": [
"<string>"
],
"reasons": [
"<string>"
],
"matched_campaigns": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}people
Recommend Participants
POST
/
v1
/
people
/
recommendations
Recommend Participants
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I